class AppformaController < ApplicationController
  skip_before_filter :ensure_canvas_connected_to_facebook
  before_filter :set_tab_current_account, :except => [:intro, :not_authorized, :not_subscribed]
  before_filter :set_edit_account, :only => [:not_authorized]
  before_filter :set_locale, :except => [:intro, :not_subscribed]
  skip_before_filter :check_account_authorized, :only => [:intro]
  
  def not_subscribed
    @external = true
  end
    
  def intro
    render :layout => false
  end
  
  def locale_select
    
  end
  
  def not_authorized
    
  end
  
  private
    def set_edit_account
      @account = Account.find_by_acc_hash(params[:id])
    end
end