Rails.application.routes.draw do
  root :to => 'appforma#intro'
  match 'locale_selector' => 'appforma#locale_selector', :as => :locale_selector
  match 'not_subscribed' => 'appforma#not_subscribed', :as => :not_subscribed
  match 'not_authorized' => 'appforma#not_authorized', :as => :not_authorized
  match 'auth_check' => 'appforma#auth_check', :as => :site_auth_check
  
  #API routes
  scope "/api/v1" do
    resources :accounts, :only => [:show, :create, :unauthorized], :controller => "api/accounts"
  end
end