require 'spreadsheet'
#require "#{RAILS_ROOT}/app/models/account.rb"

class Railtie < Rails::Railtie
  initializer 'rails_settings.initialize', :after => :after_initialize do
      Account.class_eval do

        def self.export_account_data
          Spreadsheet.client_encoding = 'UTF-8'
          book = Spreadsheet::Workbook.new
          sheet1 = book.create_worksheet
          sheet1.name = 'accounts'
          sheet1.row(0).concat [
         	  	'URL',
         	  	'FBID',
         	  	'NAME',
         	  	'CREATED_DATE',
         	  	'ADMIN_URL'
         	]
          i = 1
         	Account.all.each do |account|
         	  name = page_link = Mogli::Page.find(account.fbid).name
         	  admin_url = "http://apps.facebook.com/#{SharkApps.canvas_name}/account/#{account.to_param}/edit"
       	    sheet1.row(i).concat [account.link_page, account.fbid, name, account.created_at, admin_url]
       	    i = i + 1
         	end

          book
        end


      end

      AccountsController.class_eval do
        define_method "export_account_data" do
          excel_file = Account.export_account_data
          data = StringIO.new ''
          excel_file.write data
          send_data(data.string.bytes.to_a.pack("C*"), :type=>"application/excel", :disposition=>'attachment', :filename => "#{SharkApps.canvas_name}-export.xls")
        end
      end
    end
end
